List clinical notes
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"source": "form_response",
"patient_id": 123,
"form_id": 123,
"form_type": "practitioner",
"form_name": "<string>",
"data": {},
"state": "draft",
"pinned": true,
"created_at": "2026-09-01T14:31:00Z",
"updated_at": "2026-09-01T14:31:00Z",
"appt_date": "2023-12-25",
"practitioner": {},
"note_author": {},
"appointment": {},
"canvases": {},
"formatted_fields": [
{}
],
"formatted_soap": {},
"spinal_codes": [
{}
],
"scribe_attachment": {},
"files": [
{}
],
"patient_details": [
{}
],
"form_schema": {},
"revision_number": 123,
"is_current": true,
"previous_revision_id": 123,
"revised_by_uid": 123,
"finalized_at": "2023-11-07T05:31:56Z",
"finalized_by_uid": 123,
"metadata": {}
}
],
"links": {
"first": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"per_page": 123,
"total": 123,
"last_page": 123
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Clinical Notes
List clinical notes
Current revisions only — a revised note appears once, as its latest content. Notes written before PracticeHub 2.0 are not served until they are converted in the app; a converted note appears here like any other. Reads are allowed to integration keys, and to connected assistants whose PracticeHub role allows patient visit notes (own-patients limits apply).
GET
https://{clinic}.{region}.practicehub.io/v3/api
/
clinical_notes
List clinical notes
curl --request GET \
--url https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{clinic}.{region}.practicehub.io/v3/api/clinical_notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"source": "form_response",
"patient_id": 123,
"form_id": 123,
"form_type": "practitioner",
"form_name": "<string>",
"data": {},
"state": "draft",
"pinned": true,
"created_at": "2026-09-01T14:31:00Z",
"updated_at": "2026-09-01T14:31:00Z",
"appt_date": "2023-12-25",
"practitioner": {},
"note_author": {},
"appointment": {},
"canvases": {},
"formatted_fields": [
{}
],
"formatted_soap": {},
"spinal_codes": [
{}
],
"scribe_attachment": {},
"files": [
{}
],
"patient_details": [
{}
],
"form_schema": {},
"revision_number": 123,
"is_current": true,
"previous_revision_id": 123,
"revised_by_uid": 123,
"finalized_at": "2023-11-07T05:31:56Z",
"finalized_by_uid": 123,
"metadata": {}
}
],
"links": {
"first": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"per_page": 123,
"total": 123,
"last_page": 123
}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>",
"errors": {}
}Authorizations
API key from Developers → API Keys, sent as Authorization: Bearer .
Query Parameters
Only this patient's notes
Only drafts, or only finalized notes
Available options:
draft, final Only typed notes, or only AI Scribe notes
Available options:
practitioner, scribe Only notes updated at or after this moment (UTC, YYYY-MM-DDTHH:MM:SSZ) — for incremental syncs
Example:
"2026-09-01T00:00:00Z"
Page number
Required range:
x >= 1Notes per page
Required range:
1 <= x <= 100Was this page helpful?